﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GPSLib
{
    public abstract class GPSSource
    {
        abstract protected string getData();
        abstract public bool Open();
        abstract public void Close();
        abstract public void DiscardBuffer();
        abstract public bool isOpen();
        abstract public int Timeouts();

        public NMEAData[] getNMEAData()
        {
            var res = new List<NMEAData>();

            NMEAData gpsData = new NMEAData(getData().Trim());
            if (gpsData.type != NMEAData.types.NONE)
            {
               res.Add(gpsData);
            }
            return (NMEAData[])res.ToArray();
        }
    }
}
